API ReferenceAdmin Webhook Endpoints
Create
Authorization
AdminSession AuthorizationBearer <token>
Admin session token returned by POST /auth/login, sent as 'Authorization: Bearer '.
In: header
Path Parameters
id*integer
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/v1/admin/apps/0/webhook-endpoints" \ -H "Content-Type: application/json" \ -d '{ "mode": "TEST", "url": "string" }'{
"data": {
"endpoint": {
"id": 0,
"applicationId": 0,
"mode": "string",
"url": "string",
"description": "string",
"status": "string",
"subscribeAllEvents": true,
"subscribedEventTypes": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
},
"signingSecret": "string"
},
"meta": {
"success": true,
"message": "string",
"errorCode": "RESOURCE_NOT_FOUND",
"timestamp": "2019-08-24T14:15:22Z"
},
"pagination": {
"page": 0,
"size": 0,
"totalElements": 0,
"totalPages": 0
}
}